var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import Preview from 'preview';
import { initChainStyles } from 'config/stylebook';
var AppOptions = {
    version: 'widget/v1',
    kind: 'Application',
    metadata: {
        name: 'subscan widget',
    },
    spec: {
        components: [
            {
                id: 'title0',
                type: 'core/v1/title',
                properties: {
                    text: 'Subscan Title',
                },
                traits: [],
            },
        ],
    },
};
export default {
    title: 'Subscan Lib/Title',
    component: Preview,
};
var Template = function (args) { return _jsx(Preview, __assign({}, args)); };
export var Index = Template.bind({});
Index.args = __assign({ options: AppOptions }, initChainStyles);
